org.jboss.resteasy.plugins.providers.atom

## Class Link

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.atom.CommonAttributes
  - - org.jboss.resteasy.plugins.providers.atom.Link

- Direct Known Subclasses:
    BaseLink, RelativeLink

      public class Link
      extends CommonAttributes

  Per RFC4287:

        The "atom:link" element defines a reference from an entry or feed to
        a Web resource.  This specification assigns no meaning to the content
        (if any) of this element.

        atomLink =
           element atom:link {
              atomCommonAttributes,
              attribute href { atomUri },
              attribute rel { atomNCName | atomUri }?,
              attribute type { atomMediaType }?,
              attribute hreflang { atomLanguageTag }?,
              attribute title { text }?,
              attribute length { text }?,
              undefinedContent
           }

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected URI` | `href`
    `protected String` | `hreflang`
    `protected String` | `length`
    `protected String` | `rel`
    `protected String` | `title`
    `protected MediaType` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Link()`
    `Link(String rel, String href)`
    `Link(String rel, String href, MediaType type)`
    `Link(String rel, String href, String type)`
    `Link(String rel, URI href)`
    `Link(String rel, URI href, MediaType type)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `URI` | `getHref()`
    `String` | `getHreflang()`
    `String` | `getLength()`
    `String` | `getRel()`
    `String` | `getTitle()`
    `MediaType` | `getType()`
    `void` | `setHref(URI href)`
    `void` | `setHreflang(String hreflang)`
    `void` | `setLength(String length)`
    `void` | `setRel(String rel)`
    `void` | `setTitle(String title)`
    `void` | `setType(MediaType type)`

    - ### Methods inherited from class org.jboss.resteasy.plugins.providers.atom.CommonAttributes

      `getBase, getExtensionAttributes, getLanguage, setBase, setLanguage`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### href

          protected URI href

    - #### rel

          protected String rel

    - #### type

          protected MediaType type

    - #### hreflang

          protected String hreflang

    - #### title

          protected String title

    - #### length

          protected String length

  - ### Constructor Detail

    - #### Link

          public Link()

    - #### Link

          public Link(String rel,
              URI href)

    - #### Link

          public Link(String rel,
              URI href,
              MediaType type)

    - #### Link

          public Link(String rel,
              String href)

    - #### Link

          public Link(String rel,
              String href,
              MediaType type)

    - #### Link

          public Link(String rel,
              String href,
              String type)

  - ### Method Detail

    - #### getHref

          public URI getHref()

    - #### setHref

          public void setHref(URI href)

    - #### getRel

          public String getRel()

    - #### setRel

          public void setRel(String rel)

    - #### getType

          public MediaType getType()

    - #### setType

          public void setType(MediaType type)

    - #### getHreflang

          public String getHreflang()

    - #### setHreflang

          public void setHreflang(String hreflang)

    - #### getTitle

          public String getTitle()

    - #### setTitle

          public void setTitle(String title)

    - #### getLength

          public String getLength()

    - #### setLength

          public void setLength(String length)

Copyright © 2014. All Rights Reserved.